Page 1 of 4 123 ... LastLast
Results 1 to 10 of 40

Thread: cannot start blender 3.3 Linux

  1. #1
    Join Date
    Jun 2008
    Location
    netherlands
    Posts
    710

    Default cannot start blender 3.3 Linux

    When I try to start blender I get the message for security reasons launching executable is not allowed i this context.
    I do not understand why I have already set the permission is allowed to is executable. With leap 15.3 it works perfect.
    Anyone

  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    7,465

    Default AW: cannot start blender 3.3 Linux

    Quote Originally Posted by anton View Post
    When I try to start blender I get the message for security reasons launching executable is not allowed i this context.
    I do not understand why I have already set the permission is allowed to is executable. With leap 15.3 it works perfect.
    Anyone
    How do you start blender?
    Post the complete command line using Code-Tags:
    https://forums.opensuse.org/showthre...und-Your-Paste

  3. #3
    Join Date
    Jul 2008
    Location
    Seattle, WA
    Posts
    17,444

    Default Re: cannot start blender 3.3 Linux

    Quote Originally Posted by anton View Post
    When I try to start blender I get the message for security reasons launching executable is not allowed i this context.
    I do not understand why I have already set the permission is allowed to is executable. With leap 15.3 it works perfect.
    Anyone
    In addition to providing information about how you're launching Blender - how did you install it? There are lots of options (Steam, Direct from blender.org, from the openSUSE repos).

    I've run it on 15.4 and TW without issue - but I also typically install using Steam these days.
    Jim Henderson
    openSUSE Forums Administrator
    Forum Use Terms & Conditions at http://tinyurl.com/openSUSE-T-C

  4. #4
    Join Date
    Jan 2014
    Location
    Erlangen
    Posts
    4,351
    Blog Entries
    5

    Default Re: cannot start blender 3.3 Linux

    Quote Originally Posted by anton View Post
    When I try to start blender I get the message for security reasons launching executable is not allowed i this context.
    Updated Leap to current version:
    Code:
    Operating System: openSUSE Leap 15.4
    KDE Plasma Version: 5.24.4
    KDE Frameworks Version: 5.90.0
    Qt Version: 5.15.2
    Kernel Version: 5.14.21-150400.24.21-default (64-bit)
    Graphics Platform: X11
    Processors: 8 × Intel® Core™ i7-6700K CPU @ 4.00GHz
    Memory: 31.0 GiB of RAM
    Graphics Processor: Mesa DRI Intel® HD Graphics 530
    When typing "blender" on background of the desktop Blender 2.82 starts up as does any other application.
    openSUSE Tumbleweed, KDE Plasma, Blogs/KeepItSimple, i7-6700K (2016), i5-8250U (2018), AMD Ryzen 5 3400G (2020), 5600X, 5700U (2022)

  5. #5
    Join Date
    Jun 2008
    Location
    netherlands
    Posts
    710

    Default Re: cannot start blender 3.3 Linux

    I need the latest blender 3.3 so i downloaded then i extracted the folder, opened the blender 3.3 folder and hit blender.
    But then i get the message cannot open executable file for security reasons in this content. I have already set under permission excutable.

  6. #6
    Join Date
    Jun 2008
    Posts
    1,843
    Blog Entries
    1

    Default Re: cannot start blender 3.3 Linux

    Quote Originally Posted by anton View Post
    I need the latest blender 3.3 so i downloaded then i extracted the folder, opened the blender 3.3 folder and hit blender.
    But then i get the message cannot open executable file for security reasons in this content. I have already set under permission excutable.
    So, you went to blender.org and downloaded https://mirror.clarkson.edu/blender/...nux-x64.tar.xz to your home directory, extracted the folder, and clicked on the executable. Is that about right? If so use sudo or su. While the package in your home directory is executable, it has to install to root level directories. In order to install to root level directories, you need sudo or su.
    ______________________________________________________________________________________
    Don't ask "if" something can be done, for it can always be done. Rather instead ask "How" can it be done.

  7. #7

    Default Re: cannot start blender 3.3 Linux

    Quote Originally Posted by Jonathan_R View Post
    So, you went to blender.org and downloaded https://mirror.clarkson.edu/blender/...nux-x64.tar.xz to your home directory, extracted the folder, and clicked on the executable. Is that about right? If so use sudo or su. While the package in your home directory is executable, it has to install to root level directories. In order to install to root level directories, you need sudo or su.
    Did you read the installation instructions? Blender does't need to install anything to root directories! Your claim is not backed by any facts. Runing this executable (GUI) as root is a really bad idea!
    https://docs.blender.org/manual/en/l...ing/index.html

  8. #8
    Join Date
    Jan 2014
    Location
    Erlangen
    Posts
    4,351
    Blog Entries
    5

    Default Re: cannot start blender 3.3 Linux

    Quote Originally Posted by anton View Post
    I need the latest blender 3.3 so i downloaded then i extracted the folder, opened the blender 3.3 folder and hit blender.
    Use Tumbleweed instead of Leap 15.4. Tumbleweed has blender 3.3.
    openSUSE Tumbleweed, KDE Plasma, Blogs/KeepItSimple, i7-6700K (2016), i5-8250U (2018), AMD Ryzen 5 3400G (2020), 5600X, 5700U (2022)

  9. #9

    Default Re: cannot start blender 3.3 Linux

    Also try to start blender from console:
    Code:
    cd <blender installation directory>
    ./blender
    Your error message is a wide spread problem and can be caused by different things:
    https://www.google.com/search?q=for+...i+this+context

  10. #10
    Join Date
    Jun 2008
    Posts
    1,843
    Blog Entries
    1

    Default Re: cannot start blender 3.3 Linux

    Quote Originally Posted by hui View Post
    Did you read the installation instructions? Blender does't need to install anything to root directories! Your claim is not backed by any facts. Runing this executable (GUI) as root is a really bad idea!
    https://docs.blender.org/manual/en/l...ing/index.html
    Indeed!

    "Note Blender’s source code is available for free to either reference or to Build from Source. While normal users are not expected to compile Blender, it does have advantages:

    • Blender is always up to date.
    • It allows access to any version or branch where a feature is being developed.
    • It can be freely customized."



    If you noted my initial comment I gave the link to the source package, hence the instructions. The other options are to install it via Steam or the openSUSE repos. karlmistelberger has said it is available via the repos. I suggest you use the repos.
    ______________________________________________________________________________________
    Don't ask "if" something can be done, for it can always be done. Rather instead ask "How" can it be done.

Page 1 of 4 123 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •